Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkXMLFileOutputWindow Class Reference

`#include <vtkXMLFileOutputWindow.h>`

Inheritance diagram for vtkXMLFileOutputWindow:

[legend]
Collaboration diagram for vtkXMLFileOutputWindow:

[legend]
List of all members.

## Detailed Description

XML File Specific output window class.

Date:
  2002/01/22 15:26:48

Revision:
  1.7

Writes debug/warning/error output to an XML file. Uses prefined XML tags for each text display method. The text is processed to replace XML markup characters.

DisplayText - <Text>

DisplayErrorText - <Error>

DisplayWarningText - <Warning>

DisplayGenericWarningText - <GenericWarning>

DisplayDebugText - <Debug.

The method DisplayTag outputs the text unprocessed. To use this class, instantiate it and then call SetInstance(this).

Created by:
  - Lorensen, Bill

CVS contributions (if > 5%):
  - Lorensen, Bill (90%)
  - Schroeder, Will (8%)

CVS logs (CVSweb):
  - .`cxx` (`/Common/vtkXMLFileOutputWindow.cxx)`
  - .`h` (`/Common/vtkXMLFileOutputWindow.h)`

Tests:
  vtkXMLFileOutputWindow (Tests)

Definition at line 60 of file vtkXMLFileOutputWindow.h.

## Public Types
typedef vtkFileOutputWindow | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
virtual void | DisplayTag (const char *)
virtual void | DisplayText (const char *)
virtual void | DisplayErrorText (const char *)
virtual void | DisplayWarningText (const char *)
virtual void | DisplayGenericWarningText (const char *)
virtual void | DisplayDebugText (const char *)
## Static Public Methods
int | IsTypeOf (const char *type)
vtkXMLFileOutputWindow * | SafeDownCast (vtkObject *o)
vtkXMLFileOutputWindow * | New ()
## Protected Methods
| vtkXMLFileOutputWindow ()
virtual | ~vtkXMLFileOutputWindow ()
void | Initialize ()
virtual void | DisplayXML (const char *, const char *)

## Member Typedef Documentation

typedef vtkFileOutputWindow vtkXMLFileOutputWindow::Superclass

| Reimplemented from vtkFileOutputWindow. Definition at line 63 of file vtkXMLFileOutputWindow.h.

## Constructor & Destructor Documentation

vtkXMLFileOutputWindow::vtkXMLFileOutputWindow | ( |  | ) | `[inline, protected]`

| Definition at line 83 of file vtkXMLFileOutputWindow.h.

virtual vtkXMLFileOutputWindow::~vtkXMLFileOutputWindow | ( |  | ) | `[inline, protected, virtual]`

| Definition at line 84 of file vtkXMLFileOutputWindow.h.

## Member Function Documentation

virtual const char* vtkXMLFileOutputWindow::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkFileOutputWindow.

int vtkXMLFileOutputWindow::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkFileOutputWindow.

virtual int vtkXMLFileOutputWindow::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkFileOutputWindow.

vtkXMLFileOutputWindow* vtkXMLFileOutputWindow::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkFileOutputWindow.

vtkXMLFileOutputWindow* vtkXMLFileOutputWindow::New | ( |  | ) | `[static]`

| This is a singleton pattern New. There will only be ONE reference to a vtkOutputWindow object per process. Clients that call this must call Delete on the object so that the reference counting will work. The single instance will be unreferenced when the program exits. Reimplemented from vtkFileOutputWindow.

virtual void vtkXMLFileOutputWindow::DisplayText | ( | const char * |  | ) | `[virtual]`

| Put the text into the log file. The text is processed to replace &, <, > with &amp, &lt, and &gt. Each display method outputs a different XML tag. Reimplemented from vtkFileOutputWindow.

virtual void vtkXMLFileOutputWindow::DisplayErrorText | ( | const char * |  | ) | `[virtual]`

| Put the text into the log file. The text is processed to replace &, <, > with &amp, &lt, and &gt. Each display method outputs a different XML tag. Reimplemented from vtkOutputWindow.

virtual void vtkXMLFileOutputWindow::DisplayWarningText | ( | const char * |  | ) | `[virtual]`

| Put the text into the log file. The text is processed to replace &, <, > with &amp, &lt, and &gt. Each display method outputs a different XML tag. Reimplemented from vtkOutputWindow.

virtual void vtkXMLFileOutputWindow::DisplayGenericWarningText | ( | const char * |  | ) | `[virtual]`

| Put the text into the log file. The text is processed to replace &, <, > with &amp, &lt, and &gt. Each display method outputs a different XML tag. Reimplemented from vtkOutputWindow.

virtual void vtkXMLFileOutputWindow::DisplayDebugText | ( | const char * |  | ) | `[virtual]`

| Put the text into the log file. The text is processed to replace &, <, > with &amp, &lt, and &gt. Each display method outputs a different XML tag. Reimplemented from vtkOutputWindow.

virtual void vtkXMLFileOutputWindow::DisplayTag | ( | const char * |  | ) | `[virtual]`

| Put the text into the log file without processing it.

void vtkXMLFileOutputWindow::Initialize | ( |  | ) | `[protected]`

| Reimplemented from vtkFileOutputWindow.

virtual void vtkXMLFileOutputWindow::DisplayXML | ( | const char * | ,
|  | const char * |
| ) | `[protected, virtual]`

The documentation for this class was generated from the following file:

- Common/vtkXMLFileOutputWindow.h